DockingLayoutManager (jEdit API Documentation)
Date: 2018-04-10

org.gjt.sp.jedit.gui

## Class DockingLayoutManager

- java.lang.Object
- - org.gjt.sp.jedit.gui.DockingLayoutManager

- All Implemented Interfaces:
    EBComponent

      public class DockingLayoutManager
      extends java.lang.Object
      implements EBComponent

  Saves and loads dockable layouts to disk
  Since:
    jEdit 4.3pre16

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleMessage(EBMessage message)` Handles a message sent on the EditBus.
    `static void` | `init()`
    `static void` | `load(View view)`
    `static void` | `loadCurrentModeLayout(View view)`
    `static void` | `removeActions()`
    `static void` | `saveAs(View view)`
    `static void` | `saveCurrentModeLayout(View view)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### saveAs

          public static void saveAs(View view)

    - #### load

          public static void load(View view)

    - #### init

          public static void init()

    - #### removeActions

          public static void removeActions()

    - #### handleMessage

          public void handleMessage(EBMessage message)

      Description copied from interface: `EBComponent`
      Handles a message sent on the EditBus. This method must specify the type of responses the plugin will have for various subclasses of the `EBMessage` class. Typically this is done with one or more `if` blocks that test whether the message is an instance of a derived message class in which the component has an interest. For example:

           if(msg instanceof BufferUpdate) {
               // a buffer's state has changed!
           }
           else if(msg instanceof ViewUpdate) {
               // a view's state has changed!
           }
           // ... and so on

      Specified by:
        `handleMessage` in interface `EBComponent`
      Parameters:
        `message` - The message

    - #### loadCurrentModeLayout

          public static void loadCurrentModeLayout(View view)

    - #### saveCurrentModeLayout

          public static void saveCurrentModeLayout(View view)